<?php

$pasta = './';
$prefixo = 'JsonPedido';
$arquivosJsonPedido = array();

if (is_dir($pasta)) {
  $arquivos = scandir($pasta);

  foreach ($arquivos as $arquivo) {
    if (strpos($arquivo, $prefixo) === 0 && pathinfo($arquivo, PATHINFO_EXTENSION) === 'txt') {
      $arquivosJsonPedido[] = $arquivo;
    }
  }
}
echo json_encode($arquivosJsonPedido);
// print_r($arquivosJsonPedido);

?>